Package org.springframework.security.config.annotation.rsocket

# Class RSocketSecurity.JwtSpec

java.lang.Object
org.springframework.security.config.annotation.rsocket.RSocketSecurity.JwtSpec

Enclosing class:
  RSocketSecurity

public final class RSocketSecurity.JwtSpec extends Object

## Method Summary

Modifier and Type
Method
Description
`RSocketSecurity.JwtSpec`
`authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)`
`protected List<org.springframework.security.rsocket.authentication.AuthenticationPayloadInterceptor>`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticationManager

public RSocketSecurity.JwtSpec authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)

### build

protected List<org.springframework.security.rsocket.authentication.AuthenticationPayloadInterceptor> build()